net.minecraft.util

## Class Direction

- java.lang.Object
- - net.minecraft.util.Direction

-     public class Direction
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[][]` | `bedDirection`
    `static String[]` | `directions`
    `static int[]` | `enderEyeMetaToDirection`
    `static int[]` | `field_71578_g`
    `static int[]` | `footInvisibleFaceRemap`
    `static int[]` | `headInvisibleFace`
    `static int[]` | `offsetX`
    `static int[]` | `offsetZ`
    `static int[]` | `vineGrowth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Direction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getMovementDirection(double par0, double par2)` Returns the movement direction from a velocity vector.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offsetX

          public static final int[] offsetX

    - #### offsetZ

          public static final int[] offsetZ

    - #### directions

          public static final String[] directions

    - #### headInvisibleFace

          public static final int[] headInvisibleFace

    - #### vineGrowth

          public static final int[] vineGrowth

    - #### footInvisibleFaceRemap

          public static final int[] footInvisibleFaceRemap

    - #### enderEyeMetaToDirection

          public static final int[] enderEyeMetaToDirection

    - #### field_71578_g

          public static final int[] field_71578_g

    - #### bedDirection

          public static final int[][] bedDirection

  - ### Constructor Detail

    - #### Direction

          public Direction()

  - ### Method Detail

    - #### getMovementDirection

          public static int getMovementDirection(double par0,
                                 double par2)

      Returns the movement direction from a velocity vector.